Skip to main content
Resource Center/Hardware/SAN Storage Operations/FC Storage Operations
PUTFC Storage OperationsSince 3.1.0SynchronousAuth Required

CheckScsiLunClusterStatus

CheckScsiLunClusterStatus

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

  • clusterUuidStringRequired

    The cluster UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryScsiLunClusterStatusInventoryRequired

    See inventory.

    • isAllHostsAttachedBooleanRequired

      Whether the SCSI LUN is connected to all the hosts that are attached to the cluster.

    • attachedHostsListRequired

      See attachedHosts.

      • zoneUuidStringRequired

        The zone UUID.

      • nameStringRequired

        The resource name.

      • uuidStringRequired

        The resource UUID.

      • clusterUuidStringRequired

        The cluster UUID.

      • descriptionStringRequired

        The detailed description of the resource.

      • managementIpStringRequired

        管理IP。

      • hypervisorTypeStringRequired

        No description provided.

      • stateStringRequired

        当前状态。

      • statusStringRequired

        状态信息。

      • totalCpuCapacityLongRequired

        总CPU容量。

      • availableCpuCapacityLongRequired

        可用CPU容量。

      • totalMemoryCapacityLongRequired

        总内存容量。

      • availableMemoryCapacityLongRequired

        可用内存容量。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • unattachedHostsListRequired

      See unattachedHosts.

      • zoneUuidStringRequired

        The zone UUID.

      • nameStringRequired

        The resource name.

      • uuidStringRequired

        The resource UUID.

      • clusterUuidStringRequired

        The cluster UUID.

      • descriptionStringRequired

        The detailed description of the resource.

      • managementIpStringRequired

        管理IP。

      • hypervisorTypeStringRequired

        No description provided.

      • stateStringRequired

        当前状态。

      • statusStringRequired

        状态信息。

      • totalCpuCapacityLongRequired

        总CPU容量。

      • availableCpuCapacityLongRequired

        可用CPU容量。

      • totalMemoryCapacityLongRequired

        总内存容量。

      • availableMemoryCapacityLongRequired

        可用内存容量。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

PUT/zstack/v1/storage-devices/scsi-lun/{uuid}/cluster/{clusterUuid}

/zstack/v1/storage-devices/scsi-lun/{uuid}/cluster/{clusterUuid}

Operation ID

CheckScsiLunClusterStatus

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/storage-devices/scsi-lun/{uuid}/cluster/{clusterUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "attachedHosts": [ { "zoneUuid": "5899ac6fab7d3951acae1d43c4fd7f97", "name": "example", "uuid": "161616a23a4834cfbe3dd7000a75ef51", "clusterUuid": "b886a9367ff9362d8955443cc5065fab", "description": "example", "managementIp": "192.168.0.1", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "totalMemoryCapacity": 4.0, "availableMemoryCapacity": 4.0 } ], "unattachedHosts": [ { "zoneUuid": "ee802d3432203cc99a9711b3d26e047d", "name": "example", "uuid": "0d28db87cedc3c729300bcc7f426f9b6", "clusterUuid": "5d5325e38b4331c28efe5367dc583110", "description": "example", "managementIp": "192.168.0.2", "hypervisorType": "KVM", "state": "Enabled", "status": "Connected", "totalCpuCapacity": 4.0, "availableCpuCapacity": 2.0, "totalMemoryCapacity": 4.0, "availableMemoryCapacity": 4.0 } ], "isAllHostsAttached": false } }

Change History

This API has no change history records yet.

View all change history